import { createI18n } from 'vue-i18n'
import en from '../lang/en'
import kr from '../lang/kr'

export default defineNuxtPlugin(({ vueApp }) => {  
  const i18n = createI18n({
    legacy: false,
    globalInjection: true,
    locale: useLangStore().getLang,
    messages: {
      kr: kr,
      en: en
    }
  })

  vueApp.use(i18n)
})